Skip to main content
GET
/
transactions
/
block
Get Block Transactions
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/transactions/block \
  --header 'X-API-KEY: <api-key>'
{
  "cursor": "ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="
}

Documentation Index

Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<number>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
100,
10143,
10200,
11155111,
11155420,
1284,
1285,
130,
1301,
1329,
137,
143,
146,
1666600000,
167000,
2020,
204,
25,
250,
324,
33139,
4002,
42161,
421614,
42170,
42220,
42262,
43113,
43114,
4326,
480,
4801,
5000,
534351,
534352,
56,
57073,
59141,
59144,
690,
7000,
763373,
80002,
80094,
81457,
8453,
84532,
88,
97,
9745,
9746,
999,
99999
Example:

1

blockHeight
string
default:14309238
required

The height of the block to query.

Example:

"14309238"

cursor
string

Cursor from previous query to get next page of results.

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Overrides our autorouting. Only specify this parameter if you would like to specify only a single provider to use for this request.

Available options:
GoldRush

Response

200 - application/json
cursor
string
required
Example:

"ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="